﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class Apartment : MonoBehaviour 
{
	public ApartmentDetail apartmentDetail;
	public bool yourApartment = false;
	public Image overlayImage;
	public Image discoveredImage;

	public Text owners;

	public Color selectedColour;
	public Color unselectedColour;

	public bool _containsDiscoveredFamily = false;
	public bool containsDiscoveredFamily
	{
		set
		{
			overlayImage.gameObject.SetActive (false);
			owners.text = apartmentDetail._owners;
			//discoveredImage.gameObject.SetActive (true);
		}
	}


	void Awake()
	{
		GetComponent<Image>().color = unselectedColour;
		owners = transform.FindChild ("Owners Names").GetComponent<Text> ();
		owners.text = "";
		if (yourApartment)
		{
			apartmentDetail.owners = "Your Apartment";
			owners.text = apartmentDetail._owners;
			overlayImage.gameObject.SetActive (true);
		}
	}

	public bool selected
	{
		set
		{
			if (value)
			{
				GetComponent<Image>().color = selectedColour;
				apartmentDetail.GetComponent<CanvasGroupFader> ().FadeIn (0.1f);
			}
			else
			{
				GetComponent<Image>().color = unselectedColour;
				apartmentDetail.GetComponent<CanvasGroupFader> ().FadeOut (0.1f);
			}
		}
	}

	public void UpdateDetailStay()
	{
		apartmentDetail.travelTo.text = "Stay At";
		apartmentDetail.cost.text = "";
	}

	public void UpdateDetailMove()
	{
		apartmentDetail.travelTo.text = "Travel To";
		apartmentDetail.cost.text = "(1 Hour)";
	}
}
