﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class RoomTransitionTrigger : MonoBehaviour 
{
	Player _player;
	CanvasGroupFader _fadeToBlack;

	public Room toRoom;
	public Transform startPoint;

	void Awake()
	{
		_fadeToBlack = GameObject.Find ("FadeToBlack").GetComponent<CanvasGroupFader> ();
		_player = GameObject.Find ("Player").GetComponent<Player> ();
	}

	void OnTriggerEnter2D(Collider2D other)
	{
		// clear any text for transition
		_fadeToBlack.GetComponentInChildren<Text> ().text = "";
		// fade in black
		_fadeToBlack.FadeIn (0.5f);

		// update player to new room
		_player.MoveRooms (toRoom, startPoint);

		// fade back in after a time
		StartCoroutine (FadeBack ());
	}

	IEnumerator FadeBack()
	{
		yield return new WaitForSeconds (0.5f);

		_fadeToBlack.FadeOut (0.5f);
	}
}
