﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class Strengthening : MonoBehaviour 
{
	public ActionTrigger actionTrigger;
	GameObject tier1;
	GameObject tier2;
	GameObject tier3;
	GameObject fortify;

	List<GameObject> tierGOs = new List<GameObject>();

	void Awake()
	{
		tier1 = transform.FindChild ("Tier1").gameObject;
		tier2 = transform.FindChild ("Tier2").gameObject;
		tier3 = transform.FindChild ("Tier3").gameObject;
		fortify = transform.FindChild ("Fortified").gameObject;

		tierGOs.Add (tier1);
		tierGOs.Add (tier2);
		tierGOs.Add (tier3);
		tierGOs.Add (fortify);
	}

	public void Set(ActionTrigger.STRENGTHEN_TIERS strengthenTier)
	{
		switch(strengthenTier)
		{
		case ActionTrigger.STRENGTHEN_TIERS.NONE:
			tierGOs [0].SetActive (false);
			tierGOs [1].SetActive (false);
			tierGOs [2].SetActive (false);
			tierGOs [3].SetActive (false);
			break;

		case ActionTrigger.STRENGTHEN_TIERS.FIRST_TIER:
			tierGOs [0].SetActive (true);
			tierGOs [1].SetActive (false);
			tierGOs [2].SetActive (false);
			tierGOs [3].SetActive (false);
			break;

		case ActionTrigger.STRENGTHEN_TIERS.SECOND_TIER:
			tierGOs [0].SetActive (true);
			tierGOs [1].SetActive (true);
			tierGOs [2].SetActive (false);
			tierGOs [3].SetActive (false);
			break;

		case ActionTrigger.STRENGTHEN_TIERS.THIRD_TIER:
			tierGOs [0].SetActive (true);
			tierGOs [1].SetActive (true);
			tierGOs [2].SetActive (true);
			tierGOs [3].SetActive (false);
			break;

		case ActionTrigger.STRENGTHEN_TIERS.REINFORCE:
			tierGOs [0].SetActive (true);
			tierGOs [1].SetActive (true);
			tierGOs [2].SetActive (true);
			tierGOs [3].SetActive (true);
			break;

		case ActionTrigger.STRENGTHEN_TIERS.BROKEN:
			tierGOs [0].SetActive (false);
			tierGOs [1].SetActive (false);
			tierGOs [2].SetActive (false);
			tierGOs [3].SetActive (false);
			break;
		}
	}
}
